# NOTE:
# This version of Zend OPcache is compatible with PHP 5.2.*, 5.3.*, 5.4.*
# and PHP-5.5 development branch. PHP 5.2 support may be removed in the future.
%define		php_name	php%{?php_suffix}
%define		modname	zendopcache
Summary:	Zend Optimizer+ - PHP code optimizer
Summary(pl.UTF-8):	Zend Optimizer+ - optymalizator kodu PHP
Name:		%{php_name}-pecl-%{modname}
Version:	7.0.5
Release:	1
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	0c2710c272e398bea89d41dee42ee633
Source1:	%{modname}.ini
URL:		http://pecl.php.net/package/zendopcache
BuildRequires:	%{php_name}-devel >= 4:5.2
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-zendopcache < 7.0.3-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Zend OPcache provides faster PHP execution through opcode caching
and optimization. It improves PHP performance by storing precompiled
script bytecode in the shared memory. This eliminates the stages of
reading code from the disk and compiling it on future access. In
addition, it applies a few bytecode optimization patterns that make
code execution faster.

%prep
%setup -qc
mv %{modname}-%{version}/* .

if [ %{php_major_version} -ge 5 -a %{php_minor_version} -ge 5 ]; then
	echo >&2 "pointless to build, PHP >= 5.5 has php-opcache package"
	exit 1
fi

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT

# NOTE: In case you are going to use Zend OPcache together with Xdebug,
# be sure that Xdebug is loaded after OPcache. "php -v" must show Xdebug
# after OPcache.
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
sed -e 's,@extensiondir@,%{php_extensiondir},' %{SOURCE1} > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc README LICENSE
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/opcache.so
%changelog
* Sun Aug 09 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-zendopcache.git;a=log;h=auto/th/php-pecl-zendopcache-7.0.5-1

* Tue Jun 09 2015 Elan Ruusamäe <glen@delfi.ee> ac06be2
- up to 7.0.5

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 642c93d
- obsolete old php name
- release 2 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> 8206b2d
- up to 7.0.3; disallow building on php >= 5.5

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> dc2606b
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 82208cb
- support building for multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> cb6dd69
- up to 7.0.2

* Sat May 25 2013 Elan Ruusamäe <glen@delfi.ee> 8286255
- add php suffix support

* Tue Apr 02 2013 Elan Ruusamäe <glen@delfi.ee> b1c8ff0
- document all .ini file settings. description taken from README

* Tue Apr 02 2013 Elan Ruusamäe <glen@delfi.ee> 223ba65
- move .ini file to sepatate file in git

* Tue Apr 02 2013 Elan Ruusamäe <glen@delfi.ee> 022f885
- zend_extension wants full path somewhy

* Tue Apr 02 2013 Elan Ruusamäe <glen@delfi.ee> 43eeafa
- new, version 7.0.1

